# InventorySlotRange

class InventorySlotRange<out T : ForInventory> : InventorySlotCompound<T> , ClosedRange<InventorySlot>
Content copied to clipboard

## Functions

contains
Link copied to clipboard
open operator fun contains(value: InventorySlot): Boolean
Content copied to clipboard
equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
isEmpty
Link copied to clipboard
open fun isEmpty(): Boolean
Content copied to clipboard
realSlotsWithInvType
Link copied to clipboard
open fun realSlotsWithInvType(invType: GUIType<T>): List<Int>
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard
withInvType
Link copied to clipboard
open override fun withInvType(invType: GUIType<T>): LinkedHashSet<InventorySlot>
Content copied to clipboard

## Properties

endInclusive
Link copied to clipboard
open override val endInclusive: InventorySlot
Content copied to clipboard
start
Link copied to clipboard
open override val start: InventorySlot
Content copied to clipboard